Changeset 3068 for llx-netinstall


Ignore:
Timestamp:
Dec 14, 2016, 5:21:31 PM (3 years ago)
Author:
mabarracus
Message:

Fixes possible bug when updating on older systems

Location:
llx-netinstall/trunk/fuentes
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • llx-netinstall/trunk/fuentes/debian/changelog

    r3054 r3068  
     1llx-netinstall (0.53.2) unreleased; urgency=medium
     2
     3  * Fixes possible bug when updating on older systems
     4
     5 -- M.Angel Juan <m.angel.juan@gmail.com>  Wed, 14 Dec 2016 17:19:44 +0100
     6
    17llx-netinstall (0.53.1) xenial; urgency=high
    28
  • llx-netinstall/trunk/fuentes/install.llx-netinstall/usr/share/n4d/python-plugins/NetinstallManager.py

    r2987 r3068  
    110110                        unattended='false';
    111111               
    112                 if(data["netinstall_stats"].lower()!="false"):
     112                if("netinstall_stats" not in data.keys() or data["netinstall_stats"].lower()!="false"):
    113113                        do_stats='true';
    114114                else:
     
    120120                    raise Exception('Error getting n4d-variable')
    121121               
    122                 json_force_class=data["netinstall_force_class"].lower()
     122                if "netinstall_force_class" not in data.keys():
     123                    json_force_class='false'
     124                else:
     125                    json_force_class=data["netinstall_force_class"].lower()
    123126               
    124127                # JSON FILE TAKES PRIORITY OVER N4D-VARIABLE
Note: See TracChangeset for help on using the changeset viewer.